Name:          opensaml-java
Version:       3.1.1
Release:       3%{?dist}
Summary:       Java OpenSAML library

# Only these files are without license headers:
# ./opensaml-core/src/main/resources/schema/datatypes.dtd
# ./opensaml-core/src/main/resources/schema/XMLSchema.dtd
# ./opensaml-saml-impl/src/test/resources/data/org/opensaml/saml/metadata/resolver/filter/impl/script8.js
# ./opensaml-saml-impl/src/test/resources/data/org/opensaml/saml/metadata/resolver/filter/impl/script.js
# ./opensaml-xmlsec-impl/src/test/java/org/opensaml/xmlsec/impl/BasicWhitelistBlacklistConfigurationTest.java
# Not available LICENSE file in source directory structure. Sent a mail @ users@shibboleth.net
License:       ASL 2.0
URL:           http://shibboleth.net/products/opensaml-java.html
# svn export https://svn.shibboleth.net/java-opensaml/tags/3.1.1 opensaml-java-3.1.1
# find ./opensaml-java-3.1.1 -name "*.class" -print -delete
# find ./opensaml-java-3.1.1 -name "*.jar" -print -delete
# tar cJf opensaml-java-3.1.1.tar.xz opensaml-java-3.1.1
Source0:       %{name}-%{version}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(javax.json:javax.json-api)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(net.shibboleth:parent-v3:pom:)
BuildRequires: mvn(net.shibboleth.utilities:java-support)
BuildRequires: mvn(net.spy:spymemcached)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.santuario:xmlsec)
BuildRequires: mvn(org.apache.velocity:velocity)
BuildRequires: mvn(org.cryptacular:cryptacular)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(org.glassfish:javax.json)
BuildRequires: mvn(org.hibernate:hibernate-entitymanager)
BuildRequires: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
BuildRequires: mvn(org.ldaptive:ldaptive)
BuildRequires: mvn(org.springframework:spring-orm)

# test deps
%if 0
# BuildRequires: mvn(com.unboundid:unboundid-ldapsdk)
BuildRequires: mvn(commons-dbcp:commons-dbcp)
BuildRequires: mvn(mysql:mysql-connector-java)
BuildRequires: mvn(net.shibboleth.utilities:java-support:tests:)
# BuildRequires: mvn(net.shibboleth.ext:spring-extensions)
BuildRequires: mvn(org.hsqldb:hsqldb)
# https://bugzilla.redhat.com/show_bug.cgi?id=1217395
BuildRequires: mvn(org.postgresql:postgresql)
BuildRequires: mvn(org.springframework:spring-context)
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-test)
%endif

BuildArch:     noarch

%description
OpenSAML is a set of open source C++ & Java libraries meant to support
developers working with the Security Assertion Markup Language (SAML).
OpenSAML 2, the current version, supports SAML 1.0, 1.1, and 2.0. 

%package core
Summary:       OpenSAML-Java :: Core

%description core
OpenSAML-Java :: Core.

%package messaging-api
Summary:       OpenSAML-Java :: Messaging API

%description messaging-api
OpenSAML-Java :: Messaging API.

%package messaging-impl
Summary:       OpenSAML-Java :: Messaging Implementations

%description messaging-impl
OpenSAML-Java :: Messaging Implementations.

%package parent
Summary:       OpenSAML Parent POM

%description parent
OpenSAML Parent POM.

%package profile-api
Summary:       OpenSAML-Java :: Profile API

%description profile-api
OpenSAML-Java :: Profile API.

%package profile-impl
Summary:       OpenSAML-Java :: Profile Implementations

%description profile-impl
OpenSAML-Java :: Profile Implementations.

%package saml-api
Summary:       OpenSAML-Java :: SAML Provider API

%description saml-api
OpenSAML-Java :: SAML Provider API.

%package saml-impl
Summary:       OpenSAML-Java :: SAML Provider Implementations

%description saml-impl
OpenSAML-Java :: SAML Provider Implementations.

%package security-api
Summary:       OpenSAML-Java :: Security API

%description security-api
OpenSAML-Java :: Security API.

%package security-impl
Summary:       OpenSAML-Java :: Security Implementation

%description security-impl
OpenSAML-Java :: Security Implementation.

%package soap-api
Summary:       OpenSAML-Java :: SOAP Provider API

%description soap-api
OpenSAML-Java :: SOAP Provider API.

%package soap-impl
Summary:       OpenSAML-Java :: SOAP Provider Implementations

%description soap-impl
OpenSAML-Java :: SOAP Provider Implementations.

%package storage-api
Summary:       OpenSAML-Java :: Storage API

%description storage-api
OpenSAML-Java :: Storage API.

%package storage-impl
Summary:       OpenSAML-Java :: Storage Implementation

%description storage-impl
OpenSAML-Java :: Storage Implementation.

%package xacml-api
Summary:       OpenSAML-Java :: XACML Provider API

%description xacml-api
OpenSAML-Java :: XACML Provider API.

%package xacml-impl
Summary:       OpenSAML-Java :: XACML Provider Implementations

%description xacml-impl
OpenSAML-Java :: XACML Provider Implementations.

%package xacml-saml-api
Summary:       OpenSAML-Java :: SAML XACML Profile API

%description xacml-saml-api
OpenSAML-Java :: SAML XACML Profile API.

%package xacml-saml-impl
Summary:       OpenSAML-Java :: SAML XACML Profile Implementation

%description xacml-saml-impl
OpenSAML-Java :: SAML XACML Profile Implementation.

%package xmlsec-api
Summary:       OpenSAML-Java :: XML Security API

%description xmlsec-api
OpenSAML-Java :: XML Security API.

%package xmlsec-impl
Summary:       OpenSAML-Java :: XML Security Implementation

%description xmlsec-impl
OpenSAML-Java :: XML Security Implementation.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# This is a dummy POM added just to ease building in the RPM platforms
cat > pom.xml << EOF
<?xml version="1.0" encoding="UTF-8"?>
<project
  xmlns="http://maven.apache.org/POM/4.0.0"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.opensaml</groupId>
  <artifactId>opensaml-project</artifactId>
  <packaging>pom</packaging>
  <version>%{version}</version>
  <modules>
    <module>opensaml-parent</module>
  </modules>
</project>
EOF

%mvn_package :opensaml-project __noinstall

%build
# Test skipped for unavailable test deps: net.shibboleth.ext:spring-extensions
%mvn_build -sf

%install
%mvn_install

%files core -f .mfiles-opensaml-core
%files messaging-api -f .mfiles-opensaml-messaging-api
%files messaging-impl -f .mfiles-opensaml-messaging-impl
%files parent -f .mfiles-opensaml-parent
%files profile-api -f .mfiles-opensaml-profile-api
%files profile-impl -f .mfiles-opensaml-profile-impl
%files saml-api -f .mfiles-opensaml-saml-api
%files saml-impl -f .mfiles-opensaml-saml-impl
%files security-api -f .mfiles-opensaml-security-api
%files security-impl -f .mfiles-opensaml-security-impl
%files soap-api -f .mfiles-opensaml-soap-api
%files soap-impl -f .mfiles-opensaml-soap-impl
%files storage-api -f .mfiles-opensaml-storage-api
%files storage-impl -f .mfiles-opensaml-storage-impl
%files xacml-api -f .mfiles-opensaml-xacml-api
%files xacml-impl -f .mfiles-opensaml-xacml-impl
%files xacml-saml-api -f .mfiles-opensaml-xacml-saml-api
%files xacml-saml-impl -f .mfiles-opensaml-xacml-saml-impl
%files xmlsec-api -f .mfiles-opensaml-xmlsec-api
%files xmlsec-impl -f .mfiles-opensaml-xmlsec-impl

%files javadoc -f .mfiles-javadoc

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 14 2016 gil cattaneo <puntogil@libero.it> 3.1.1-1
- update to 3.1.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Marek Goldmann <mgoldman@redhat.com> - 2.5.3-9
- Use mvn name for tomcat BR

* Fri May 08 2015 Marek Goldmann <mgoldman@redhat.com> - 2.5.3-8
- RHBZ#1132022, HTTPS Connections Via HTTP Resources Do Not Perform Hostname
  Verification

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 06 2013 Marek Goldmann <mgoldman@redhat.com> - 2.5.3-6
- New guidelines

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.5.3-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Oct 22 2012 Marek Goldmann <mgoldman@redhat.com> - 2.5.3-2
- Removed macro in comment
- Fixed encoding

* Tue Oct 09 2012 Marek Goldmann <mgoldman@redhat.com> 2.5.3-1
- Initial packaging

